$(document).on('ready', function() {
  var document_id = $('#download-all').data('document-id');
  var intervalId; // Declare intervalId variable in outer scope

  // Function to check if download is ready
  function checkDownloadStatus() {
      if (document_id) {
          $.ajax({
              url: "/download_all/button_ready/" + document_id,
              type: 'GET',
              dataType: 'json',
              success: function(response) {
                  if (response.is_ready) {
                      $('#download-all').attr('disabled', false);
                      clearInterval(intervalId); // Clear the interval
                  }
              },
              error: function(request, error) {
                  console.error("Request error:", error);
              }
          });
      }
  }

  // Initial check on document ready
  checkDownloadStatus();

  // Set interval to check every 2 minutes (120,000 milliseconds)
  intervalId = setInterval(checkDownloadStatus, 120000);
});
