class UsersController < Hyrax::UsersController
  skip_before_action :check_agreement_acceptance, only: [:accept_agreement, :discard_agreement]

  def show
    authenticate_user!
    raise CanCan::AccessDenied unless (current_user.admin? or @user.id == current_user.id)
    super
  end

  def accept_agreement
    current_user.update(agreement_accepted_at: DateTime.now)
    redirect_to hyrax.dashboard_path
  end

  def discard_agreement
    sign_out current_user
    flash[:alert] = I18n.t('rdms.errors.accept_agreement', value: (view_context.link_to "Terms of use", new_user_session_path))
    redirect_to root_path
  end
end