# frozen_string_literal: true

module Bulkrax
  class CrcDatasetCreatedError < RuntimeError; end
  class ComplexSubjectCreatedError < RuntimeError; end
  class ComplexSessionCreatedError < RuntimeError; end

  class CrcFolderEntry < CsvEntry
    def add_metadata_for_model
      if factory_class == Collection
        add_collection_type_gid
      elsif factory_class == FileSet
        validate_presence_of_filepath!
        validate_existence_of_file
        validate_presence_of_parent!
      else
        add_file unless importerexporter.metadata_only?
        add_admin_set_id
      end
    end
  end
end
