class ChangeDateRecordedTypeStringIntoDate < ActiveRecord::Migration[5.2]
  def up
    add_column :complex_sessions, :session_date_recorded_temp, :timestamp
    change_column :complex_sessions, :session_date_recorded_temp, 'timestamp USING CAST(session_date_recorded AS timestamp)'

    remove_column :complex_sessions, :session_date_recorded
    rename_column :complex_sessions, :session_date_recorded_temp, :session_date_recorded
  end
  
  def down
    add_column :complex_sessions, :session_date_recorded_temp, :string

    ComplexSession.find_each do |session|
      date_string = session.session_date_recorded.strftime('%Y-%m-%d')
      session.update_columns(session_date_recorded_temp: date_string)
    end

    remove_column :complex_sessions, :session_date_recorded
    rename_column :complex_sessions, :session_date_recorded_temp, :session_date_recorded
  end
end
